aiengine: xaiegbl.h File Reference

| aiengine Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

Data Structures
xaiegbl.h File Reference

## Overview

}

Header to include type definitions for the register bit field definitions of Core, Memory, NoC and PL module registers.

    MODIFICATION HISTORY:

    Ver   Who     Date     Changes

    1.0  Naresh  03/14/2018  Initial creation
    1.1  Naresh  07/11/2018  Updated copyright info
    1.2  Naresh  08/13/2018  Added Done attributes to CoreStsReg
    1.3  Hyun    10/02/2018  Added performance counter registers
    1.4  Hyun    10/02/2018  Added event registers
    1.5  Hyun    10/03/2018  Added event port select registers
    1.6  Hyun    10/12/2018  Added the column reset register
    1.7  Nishad  12/05/2018  Renamed ME attributes to AIE
    1.6  Hyun    12/13/2018  Added the core PC event registers
    1.9  Jubaer  02/26/2019  Added the Group Event registers
    2.0  Hyun    07/01/2019  Added XAIETILE_TIMER_MODULE_* macros

## Data Structures
struct | XAieGbl_Tile
| This typedef contains configuration information of the tiles. More...
struct | XAieGbl_Config
| This typedef contains configuration information for the device. More...
struct | XAieGbl
| The XAie driver instance data. More...
struct | XAieGbl_HwCfg
| This typedef contains the HW configuration data for the AIE array. More...
typedef struct XAieGbl_Tile | XAieGbl_Tile
| This typedef contains configuration information of the tiles. More...
void | XAieGbl_HwInit (XAieGbl_HwCfg *CfgPtr)
| This is the routine to initialize the HW configuration. More...
void | XAieGbl_CfgInitialize (XAieGbl *InstancePtr, XAieGbl_Tile *TileInstPtr, XAieGbl_Config *ConfigPtr)
| This is the global initialization function for all the tiles of the AIE array and also for the Shim tiles. More...
XAieGbl_Config * | XAieGbl_LookupConfig (u16 DeviceId)
| Looks up the device configuration based on the unique device ID. More...

## Typedef Documentation

typedef struct XAieGbl_Tile XAieGbl_Tile

This typedef contains configuration information of the tiles.

## Function Documentation

void XAieGbl_CfgInitialize | ( | XAieGbl * | InstancePtr,
|  | XAieGbl_Tile * | TileInstPtr,
|  | XAieGbl_Config * | ConfigPtr
| ) |  |

This is the global initialization function for all the tiles of the AIE array and also for the Shim tiles.

The initialization involves programming the Tile instance data structure with the required parameters of the tile, like base addresses for Core module/Memory module/NoC module/Pl module, Stream switch configuration, Lock configuration etc.

Parameters

  InstancePtr | - Global AIE instance structure.
  ConfigPtr | - Global AIE configuration pointer.

Returns
  void.

Note
  None.

References XAieGbl_Config::ArrOffset, XAieGbl_Tile::ColId, XAieGbl::Config, XAieGbl_Tile::CoreModAddr, XAieGbl_Tile::IsReady, XAieGbl::IsReady, XAieGbl_Tile::LockAddr, XAieGbl_Tile::MemModAddr, XAieGbl_Tile::NocModAddr, XAieGbl_Config::NumCols, XAieGbl_Config::NumRows, XAieGbl_Tile::PlModAddr, XAieGbl_Tile::RowId, XAieGbl_Tile::StrmSwAddr, XAieGbl_Tile::TileAddr, XAieGbl_Tile::TileType, XAieLib_InitDev(), and XAieLib_InitTile().

Referenced by main().

void XAieGbl_HwInit | ( | XAieGbl_HwCfg * | CfgPtr | ) |

This is the routine to initialize the HW configuration.

Parameters

  CfgPtr,: | Pointer to the HW configuration data structure.

Returns
  None.

Note
  None.

References XAieGbl_HwCfg::ArrayOff, XAieGbl_Config::ArrOffset, XAieGbl_Config::NumCols, XAieGbl_HwCfg::NumCols, XAieGbl_Config::NumRows, and XAieGbl_HwCfg::NumRows.

Referenced by main().

XAieGbl_Config* XAieGbl_LookupConfig | ( | u16 | DeviceId | ) |

Looks up the device configuration based on the unique device ID.

A table contains the configuration info for each device in the system.

Parameters

  DeviceId | is the unique identifier for a device.

Returns
  A pointer to the XAieGbl configuration structure for the specified device, or NULL if the device was not found.

Note
  None.

Referenced by main().